<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>
    <modules>
        <module>tuoheng-common</module>
        <module>tuoheng-service</module>
        <module>tuoheng-feign</module>
    </modules>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.1</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.tuoheng</groupId>
    <artifactId>tuoheng_freeway</artifactId>
    <version>1.0.0</version>
    <name>tuoheng_freeway</name>
    <description>tuoheng_freeway</description>
    <properties>
        <java.version>11</java.version>
        <spring-cloud.version>2021.0.3</spring-cloud.version>
        <tuoheng.version>1.0.0</tuoheng.version>
        <fastjson.version>1.2.76</fastjson.version>
        <poi.version>3.17</poi.version>
        <commons.io.version>2.5</commons.io.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>
            <!-- 核心模块依赖 -->
            <dependency>
                <groupId>com.tuoheng</groupId>
                <artifactId>tuoheng-common-core</artifactId>
                <version>${tuoheng.version}</version>
            </dependency>
            <!-- 安全认证依赖 -->
            <dependency>
                <groupId>com.tuoheng</groupId>
                <artifactId>tuoheng-common-security</artifactId>
                <version>${tuoheng.version}</version>
            </dependency>
            <!-- 系统服务API接口层模块依赖 -->
            <dependency>
                <groupId>com.tuoheng</groupId>
                <artifactId>tuoheng-system-feign</artifactId>
                <version>${tuoheng.version}</version>
            </dependency>
            <!-- freeway api fegin 接口模块依赖 -->
            <dependency>
                <groupId>com.tuoheng</groupId>
                <artifactId>tuoheng-api-feign</artifactId>
                <version>${tuoheng.version}</version>
            </dependency>
            <!-- SpringCloud依赖 -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- Excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>
            <!-- JSON 解析器和生成器 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <!-- IO常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>


</project>
